libswingx1-java_1.0-1_all.deb


Advertisement

Description

libswingx1-java - extensions to the Swing GUI toolkit, version 1

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libswingx1-java
Package version 1.0
Package release 1
Package architecture all
Package type deb
Installed size 1.26 KB
Download size 1.09 MB
Official Mirror ftp.br.debian.org
This package contains extensions to the Swing GUI toolkit, including new and
enhanced components that provide functionality commonly required by rich
client applications. Highlights include:
- Sorting, filtering, highlighting for tables, trees, and lists
- Find/search
- Auto-completion
- Login/authentication framework
- TreeTable component
- Collapsible panel component
- Date picker component
- Tip-of-the-Day component
Many of these features will eventually be incorporated into the Swing toolkit,
although API compatibility will not be guaranteed. The SwingX project focuses
exclusively on the raw components themselves.

Alternatives

Package Version Architecture Repository
libswingx1-java_1.0-1_all.deb 1.0 all Debian Main
libswingx1-java - - -

Download

Type URL
Binary Package libswingx1-java_1.0-1_all.deb
Source Package libswingx1-java

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libswingx1-java deb package:
    # sudo apt-get install libswingx1-java

Files

Path
/usr/share/doc/libswingx1-java/README
/usr/share/doc/libswingx1-java/changelog.Debian.gz
/usr/share/doc/libswingx1-java/copyright
/usr/share/java/swingx1-1.0.jar
/usr/share/java/swingx1-beaninfo-1.0.jar
/usr/share/java/swingx1-beaninfo.jar
/usr/share/java/swingx1.jar

Changelog

2011-08-28 - Andrew Ross <ubuntu@rossfamily.co.uk>
libswingx1-java (1:1.0-1) unstable; urgency=low
* Rename old release to libswingx1 for compatibility purposes.
* Add myself to uploaders.
* Update standards version to 3.9.2 (no changes needed).
* Switch to source format 3.0 (quilt).
* Don't install maven repo to avoid conflicts with libswingx-java.
* Use javahelper to install jars and javadoc.
2009-11-02 - Damien Raude-Morvan <drazzib@debian.org>
libswingx-java (1:1.0-1~orig) unstable; urgency=low
* New upstream release.
* New "libswingx-java-doc" package:
- contains API javadoc documentation
* Bump Standards-Version to 3.8.3
- Change section to "java"
- Rename debian/README.Debian-source to debian/README.source
- Describe quilt patch system in debian/README.source
* Bump debhelper version to >= 7
* Remove unused Depends on ${shlibs:Depends}
* Default JRE:
- Build-Depends on default-jdk
- Use /usr/lib/jvm/default-java as JAVA_HOME
* Add myself to Uploaders
* Use DEP5 format for debian/copyright
* Maven POMs:
- Add a Build-Depends-Indep dependency on maven-repo-helper
- Use mh_installpoms and mh_installjar to install the POM and the jar to the
Maven repository
- Remove unneeded dependencies in pom.diff patch
* Maven ant helper (build system):
- Add a Build-Depends dependency on maven-ant-helper
- Update debian/build.xml to use /usr/share/maven-ant-helper/maven-build.xml
- Build classpath is now defined in debian/build.properties
2009-02-17 - Torsten Werner <twerner@debian.org>
libswingx-java (1:0.9.5-1) unstable; urgency=low
* New upstream release
2008-11-09 - Torsten Werner <twerner@debian.org>
libswingx-java (1:0.9.4-1) experimental; urgency=low
* New upstream release
* Move package to main because batik is in main now.
* Build with source=target=1.5 and change Depends accordingly.
2008-08-11 - Torsten Werner <twerner@debian.org>
libswingx-java (1:0.9.3-2) unstable; urgency=low
* Switch to OpenJDK for building the package.
2008-07-08 - Varun Hiremath <varun@debian.org>
libswingx-java (1:0.9.3-1) unstable; urgency=low
* New upstream release
* Bump Standards-Version to 3.8.0
2008-03-08 - Torsten Werner <twerner@debian.org>
libswingx-java (1:0.9.2-1) unstable; urgency=low
* new upstream release
2007-12-17 - Varun Hiremath <varun@debian.org>
libswingx-java (1:0.9.1-1) unstable; urgency=low
[ Torsten Werner ]
* New upstream release
* Change Standards-Version: 3.7.3.
[ Varun Hiremath ]
* debian/rules: install versioned jar and create symlink
2007-08-08 - Varun Hiremath <varunhiremath@gmail.com>
libswingx-java (20070722-2) unstable; urgency=low
* Include the *.properties files and images in the jars.
* debian/control: Add XS-Vcs-{Svn,Browser} headers.
* Add debian/README.Debian-source file.
2007-08-04 - Varun Hiremath <varunhiremath@gmail.com>
libswingx-java (20070722-1) unstable; urgency=low
* New upstream release
* debian/control: Add myself to Uploaders
* Update patches/swingworker.diff patch file.

See Also

Package Description
libswish-api-common-perl_0.04-1_all.deb Perl interface to the SWISH index engine
libswiss-perl_1.67-1_all.deb Perl API to the UniProt database
libswitch-perl_2.17-2_all.deb switch statement for Perl
libsword-common_1.7.3+dfsg-2_all.deb common settings and module repository for libsword
libsword-dev_1.7.3+dfsg-2_amd64.deb Development files for libsword
libsword-utils_1.7.3+dfsg-2_amd64.deb conversion utilities for bible documents in SWORD supported formats
libsword11_1.7.3+dfsg-2_amd64.deb API/library for bible software
libswscale-dev_11.12-1~deb8u1_amd64.deb Development files for libswscale
libswscale3_11.12-1~deb8u1_amd64.deb Libav video scaling library
libswt-cairo-gtk-3-jni_3.8.2-3_amd64.deb Standard Widget Toolkit for GTK+ Cairo JNI library
libswt-cairo-gtk-4-jni_4.3.2-1_amd64.deb Standard Widget Toolkit for GTK+ Cairo JNI library
libswt-glx-gtk-3-jni_3.8.2-3_amd64.deb Standard Widget Toolkit for GTK+ GLX JNI library
libswt-glx-gtk-4-jni_4.3.2-1_amd64.deb Standard Widget Toolkit for GTK+ GLX JNI library
libswt-gnome-gtk-3-jni_3.8.2-3_amd64.deb Standard Widget Toolkit for GTK+ GNOME JNI library
libswt-gnome-gtk-4-jni_4.3.2-1_amd64.deb Standard Widget Toolkit for GTK+ GNOME JNI library
Advertisement
Advertisement